
package de.ivu.elect.business.staat.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.jee.presentation.dynamicform.BooleanFilterKriterium;

@GroupedConversationScoped
@ConversationGroup(AbstractStaatSearchParameters.class)
public class StaatSearchParameters extends AbstractStaatSearchParameters {

  private static final long serialVersionUID = 1L;

  private BooleanFilterKriterium euStaaten;

  private String staat;

  private String staatsangehoerigkeit;

  private String code;

  public StaatSearchParameters() {
    super();
  }

  public BooleanFilterKriterium getEuStaaten() {
    return euStaaten;
  }

  public void setEuStaaten(BooleanFilterKriterium euStaaten) {
    this.euStaaten = euStaaten;
  }

  public String getStaat() {
    return staat;
  }

  public void setStaat(String staat) {
    this.staat = staat;
  }

  public String getStaatsangehoerigkeit() {
    return staatsangehoerigkeit;
  }

  public void setStaatsangehoerigkeit(String staatsangehoerigkeit) {
    this.staatsangehoerigkeit = staatsangehoerigkeit;
  }

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }
}
